Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 6)
@@ -1826,6 +2182,127 @@
         }
         #endregion
 
+        #region 表示大タイトルをセットする
+        /// <summary>
+        /// 表示大タイトルをセットする
+        /// </summary>
+        /// <param name="DetailRec"></param>
+        /// <param name="GroupNo"></param>
+        /// <param name="Block"></param>
+        /// <param name="icnt"></param>
+        private void SetFirstTitle(int GroupNo, ref int Block, ref int icnt)
+        {
+            try
+            {
+                switch (GroupNo)
+                {
+                    case (int)GroupName_ConstructionLedger.Expenses:
+                        // 経費
+                        Block = (int)GroupName_ConstructionLedger.Expenses;
+                        CreateTitleRow(GroupNo, s_GroupTitle[GroupNo]);     // タイトル表示
+                        icnt = 1;
+                        break;
+                    case (int)GroupName_ConstructionLedger.ConstructionCosts:
+                        // 施工費
+                        AddEmptyRow();                                      // 空白行
+                        Block = (int)GroupName_ConstructionLedger.ConstructionCosts;
+                        CreateTitleRow(GroupNo, s_GroupTitle[GroupNo]);     // タイトル表示
+                        icnt = 1;
+                        break;
+                    case (int)GroupName_ConstructionLedger.TransportationCosts:
+                        // 交通費（通行料・電車代）
+                        AddEmptyRow();                                      // 空白行
+                        string Titlestring = s_GroupTitle[(int)GroupName_ConstructionLedger.PurchaseCosts] + "　　等";
+                        Block = (int)GroupName_ConstructionLedger.TransportationCosts;
+                        CreateTitleRow(GroupNo, Titlestring);             // タイトル表示
+                        icnt = 1;
+                        break;
+                    case (int)GroupName_ConstructionLedger.Instructor:
+                        // 指導員給料行
+                        AddEmptyRow();                                      // 空白行
+                        Block = (int)GroupName_ConstructionLedger.TransportationCosts + 1;
+                        CreateTitleRow(Block, s_PersonnelExpensesGroup);     // タイトル表示
+                        icnt = 1;
+                        break;
+                    case (int)GroupName_ConstructionLedger.PurchaseCosts:           // 購入品
+                    case (int)GroupName_ConstructionLedger.VehicleLeaseFee:         // 車両リース代
+                    case (int)GroupName_ConstructionLedger.ParkingCosts:            // 駐車場・資材置き場
+                    case (int)GroupName_ConstructionLedger.RoomChargeCosts:         // 宿泊費
+                    case (int)GroupName_ConstructionLedger.DisposeCosts:            // 処分費等
+                    case (int)GroupName_ConstructionLedger.Payroll:                 // 給料行
+                    case (int)GroupName_ConstructionLedger.Assistant:               // 副担当者
+                        break;
+                    default:
+                        Block = 0;
+                        break;
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 表示番号編集
+        /// <summary>
+        /// 表示番号編集
+        /// </summary>
+        /// <param name="DetailRec"></param>
+        /// <param name="GroupNo"></param>
+        /// <param name="Block"></param>
+        /// <param name="icnt"></param>
+        /// <param name="RowData"></param>
+        /// <param name="strParentNo"></param>
+        /// <param name="childNo"></param>
+        private void SetDisplayNo(ConstructionLedgerDetail DetailRec, int GroupNo,
+                                    ref int Block, ref int icnt, ref object[] RowData, ref string strParentNo, ref int childNo)
+        {
+            try
+            {
+                switch (GroupNo)
+                {
+                    case (int)GroupName_ConstructionLedger.ConstructionCosts:       // 施工費
+                        // 独立項目の場合
+                        if (DetailRec.IndependentFlg == 1)
+                        {
+                            string DspNumber = string.Format("{0}-{1}", DetailRec.GroupCount, icnt++);
+                            RowData[(int)GridColumn.No] = DspNumber;
+                            strParentNo = DspNumber;
+                            childNo = 1;
+                        }
+                        else
+                        {
+                            RowData[(int)GridColumn.No] = string.Format("{0}-{1}", strParentNo, ++childNo);
+                            // 独立データフラグ
+                            RowData[(int)GridColumn.IndependentFlg] = "";
+                            // 従属データフラグ
+                            RowData[(int)GridColumn.ChildFlg] = 1;
+                        }
+                        break;
+                    case (int)GroupName_ConstructionLedger.Expenses:                // 経費
+                    case (int)GroupName_ConstructionLedger.TransportationCosts:     // 交通費（通行料・電車代）
+                    case (int)GroupName_ConstructionLedger.PurchaseCosts:           // 購入品
+                    case (int)GroupName_ConstructionLedger.VehicleLeaseFee:         // 車両リース代
+                    case (int)GroupName_ConstructionLedger.ParkingCosts:            // 駐車場・資材置き場
+                    case (int)GroupName_ConstructionLedger.RoomChargeCosts:         // 宿泊費
+                    case (int)GroupName_ConstructionLedger.DisposeCosts:            // 処分費等
+                    case (int)GroupName_ConstructionLedger.Instructor:              // 指導員給料行
+                    case (int)GroupName_ConstructionLedger.Payroll:                 // 給料行
+                    case (int)GroupName_ConstructionLedger.Assistant:               // 副担当者
+                        RowData[(int)GridColumn.No] = string.Format("{0}-{1}", Block, icnt++);
+                        break;
+                    default:
+                        break;
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         #region 工事詳細台帳データ読込
         /// <summary>
         /// 工事詳細台帳データ読込
@@ -1849,121 +2326,61 @@
                 if (!DetailDB.SelectAction(strSQL, ref DetailList)) return false;
                 if (DetailList.Count == 0) return false;
 
+                // グリッド行削除
+                dgvAllDisplay.Rows.Clear();
+
                 DataGridView dgv = dgvAllDisplay;
                 int GridColMax = dgv.ColumnCount;
-                int GroupNo = (int)GroupName_ConstructionLedger.Expenses;
+                int GroupNo = 0;
                 int icnt = 1;
                 string strParentNo = string.Empty;
                 int childNo = 0;
-                int Block = (int)GroupName_ConstructionLedger.Expenses;
+                int Block = 0;
                 ConstructionLedgerDetail SaveBillingData = new ConstructionLedgerDetail();
-                // グループ名表示(経費)
-                CreateTitileRow(GroupNo, s_GroupTitile[GroupNo]);
                 foreach (ConstructionLedgerDetail DetailRec in DetailList)
                 {
                     // グループ番号が違えばタイトル行表示
                     if (GroupNo != DetailRec.GroupCount)
                     {
-                        GroupNo = DetailRec.GroupCount;
-                        switch (GroupNo)
+                        // データに施工費が無い場合があるのでその時はタイトルだけ作る
+                        if (GroupNo == (int)GroupName_ConstructionLedger.Expenses
+                            && DetailRec.GroupCount != (int)GroupName_ConstructionLedger.ConstructionCosts)
                         {
-                            case (int)GroupName_ConstructionLedger.ConstructionCosts:
-                                // 施工費
-                                AddEmptyRow();                                      // 空白行
-                                Block = (int)GroupName_ConstructionLedger.ConstructionCosts;
-                                CreateTitileRow(GroupNo, s_GroupTitile[GroupNo]);     // タイトル表示
-                                icnt = 1;
-                                break;
-                            case (int)GroupName_ConstructionLedger.TransportationCosts:
-                                // 交通費（通行料・電車代）
-                                AddEmptyRow();                                      // 空白行
-                                string Titilestring = s_GroupTitile[(int)GroupName_ConstructionLedger.PurchaseCosts] + "　　等";
-                                Block = (int)GroupName_ConstructionLedger.TransportationCosts;
-                                CreateTitileRow(GroupNo, Titilestring);             // タイトル表示
-                                icnt = 1;
-                                break;
-                            case (int)GroupName_ConstructionLedger.Instructor:
-                                // 指導員給料行
-                                AddEmptyRow();                                      // 空白行
-                                Block = (int)GroupName_ConstructionLedger.TransportationCosts + 1;
-                                CreateTitileRow(Block, s_PersonnelExpensesGroup);     // タイトル表示
-                                icnt = 1;
-                                break;
-                            case (int)GroupName_ConstructionLedger.PurchaseCosts:           // 購入品
-                            case (int)GroupName_ConstructionLedger.VehicleLeaseFee:         // 車両リース代
-                            case (int)GroupName_ConstructionLedger.ParkingCosts:            // 駐車場・資材置き場
-                            case (int)GroupName_ConstructionLedger.RoomChargeCosts:         // 宿泊費
-                            case (int)GroupName_ConstructionLedger.DisposeCosts:            // 処分費等
-                            case (int)GroupName_ConstructionLedger.PayrollExpenses:         // 給料行
-                                break;
-                            default:
-                                Block = 0;
-                                break;
+                            // タイトル作成
+                            SetFirstTitle((int)GroupName_ConstructionLedger.ConstructionCosts, ref Block, ref icnt);
+                            // 行設定
+                            SetGroupDataProperty((int)GroupName_ConstructionLedger.ConstructionCosts);
                         }
+                        // 普通にタイトルを表示する
+                        SetFirstTitle(DetailRec.GroupCount, ref Block, ref icnt);
+                        GroupNo = DetailRec.GroupCount;
                     }
 
+                    // ----- 行データセット
                     object[] RowData = new object[GridColMax];
-                    // 固定フラグは工事予算書より読み込んだものにセットする
-                    if (DetailRec.FixDataFlg == 1)
-                        RowData[(int)DispGridColumn.FixFlg] = "*";
 
+                    // 固定フラグをセットする
+                    if (DetailRec.FixDataFlg == 1) RowData[(int)GridColumn.FixFlg] = "*";
+
                     // 独立データフラグ
-                    RowData[(int)DispGridColumn.IndependentFlg] = 1;
+                    RowData[(int)GridColumn.IndependentFlg] = 1;
 
                     // 経費・施工費・購入品は番号を振る
-                    switch (GroupNo)
-                    {
-                        case (int)GroupName_ConstructionLedger.ConstructionCosts:       // 施工費
-                            // 独立項目の場合
-                            if (DetailRec.IndependentFlg == 1)
-                            {
-                                string DspNumber = string.Format("{0}-{1}", DetailRec.GroupCount, icnt++);
-                                RowData[(int)DispGridColumn.No] = DspNumber;
-                                strParentNo = DspNumber;
-                                childNo = 1;
-                            }
-                            else
-                            {
-                                RowData[(int)DispGridColumn.No] = string.Format("{0}-{1}", strParentNo, ++childNo);
-                                // 独立データフラグ
-                                RowData[(int)DispGridColumn.IndependentFlg] = "";
-                                // 従属データフラグ
-                                RowData[(int)DispGridColumn.ChildFlg] = 1;
-                            }
-                            break;
-                        case (int)GroupName_ConstructionLedger.Expenses:                // 経費
-                        case (int)GroupName_ConstructionLedger.TransportationCosts:     // 交通費（通行料・電車代）
-                        case (int)GroupName_ConstructionLedger.PurchaseCosts:           // 購入品
-                        case (int)GroupName_ConstructionLedger.VehicleLeaseFee:         // 車両リース代
-                        case (int)GroupName_ConstructionLedger.ParkingCosts:            // 駐車場・資材置き場
-                        case (int)GroupName_ConstructionLedger.RoomChargeCosts:         // 宿泊費
-                        case (int)GroupName_ConstructionLedger.DisposeCosts:            // 処分費等
-                        case (int)GroupName_ConstructionLedger.Instructor:              // 指導員給料行
-                        case (int)GroupName_ConstructionLedger.PayrollExpenses:         // 給料行
-                            RowData[(int)DispGridColumn.No] = string.Format("{0}-{1}", Block, icnt++);
-                            break;
-                        default:
-                            break;
-                    }
-                    RowData[(int)DispGridColumn.GroupCount] = DetailRec.GroupCount;
-                    RowData[(int)DispGridColumn.ItemName] = DetailRec.FirstString;
-                    // 給与の内容は見えない人がいる
-                    if (DetailRec.GroupCount == (int)GroupName_ConstructionLedger.PayrollExpenses)
-                    {
-                        if (!CheckUserAndLeader()) DetailRec.SecondString = string.Empty;
-                    }
-                    RowData[(int)DispGridColumn.TextName] = DetailRec.SecondString;
-                    RowData[(int)DispGridColumn.SubContractorType] = DetailRec.CompanyType;
-                    RowData[(int)DispGridColumn.SubContractorCode] = DetailRec.CompanyCode;
-                    RowData[(int)DispGridColumn.SubContractorName] = DetailRec.CompanyName;
-                    // 施工費は予算金額がある
-                    if (DetailRec.GroupCount == (int)GroupName_ConstructionLedger.ConstructionCosts)
-                        RowData[(int)DispGridColumn.EstimatePrice] = DetailRec.EstimatePrice.ToString("#,0");
+                    SetDisplayNo(DetailRec, GroupNo, ref Block, ref icnt, ref RowData, ref strParentNo, ref childNo);
 
-                    RowData[(int)DispGridColumn.ExecPrice] = DetailRec.ExecutionAmount.ToString("#,0");
-                    RowData[(int)DispGridColumn.Percent] = DetailRec.AmountConfigRate.ToString("0.00");
+                    RowData[(int)GridColumn.GroupCount] = DetailRec.GroupCount;
+                    RowData[(int)GridColumn.ItemName] = DetailRec.FirstString;
+                    RowData[(int)GridColumn.TextName] = DetailRec.SecondString;
+                    RowData[(int)GridColumn.CompanyType] = DetailRec.CompanyType;
+                    RowData[(int)GridColumn.CompanyCode] = DetailRec.CompanyCode;
+                    RowData[(int)GridColumn.CompanyName] = DetailRec.CompanyName;
+                    RowData[(int)GridColumn.EstimatePrice] = DetailRec.EstimatePrice.ToString("#,#");
 
-                    // 支払いデータをセットする
+                    RowData[(int)GridColumn.ExecPrice] = DetailRec.ExecutionAmount.ToString("#,0");
+                    RowData[(int)GridColumn.Percent] = DetailRec.AmountConfigRate.ToString("0.00");
+                    RowData[(int)GridColumn.FluctuationFlg] = DetailRec.FluctuationFlg;
+
+                    // ----- 支払いデータをセットする
                     double TotalValue = 0;
                     strSQL = ExcuteDB.CreatePrimarykeyString(m_ConstructionCode, DetailRec.GroupCount, DetailRec.LineCount);
                     strSQL += " ORDER BY ColumnCount";
@@ -1971,28 +2388,105 @@
                     ExcuteDB.SelectAction(strSQL, ref ExcuteList);
                     foreach (ConstructionLedgerExcute ExcuteRec in ExcuteList)
                     {
-                        RowData[ExcuteRec.ColumnCount] = ExcuteRec.PaymentAmount.ToString("#,0");
-                        TotalValue += ExcuteRec.PaymentAmount;
+
+                        //RowData[ExcuteRec.ColumnCount] = ExcuteRec.PaymentAmount.ToString("#,0");
+                        //TotalValue += ExcuteRec.PaymentAmount;
+                        //グリッドの対象列を取得する（データのカラム数から年月に変更する）
+                        string CurMounth = string.Format("{0}年{1}月", ExcuteRec.TargetMonth.Year, ExcuteRec.TargetMonth.Month);
+                        for (int ix = (int)GridColumn.payment; ix < dgv.ColumnCount; ix++)
+                        {
+                            // グリッドの対象列を探す
+                            if (CurMounth.Equals(dgv.Columns[ix].HeaderText))
+                            {
+                                // あればセットする
+                                RowData[ix] = ExcuteRec.PaymentAmount.ToString("#,0");
+                                TotalValue += ExcuteRec.PaymentAmount;
+                                break;
+                            }
+                        }
                     }
 
                     // 合計金額表示
                     RowData[GridColMax + (int)ColPayTotal.Totals] = TotalValue.ToString("#,0");
 
-                    // 実績金額表示
-                    int ExecValue = (int)(DetailRec.ExecutionAmount - TotalValue);
+                    // 支払可能額表示
+                    int ExecValue = 0;
+                    if (GroupNo != (int)GroupName_ConstructionLedger.Expenses)
+                    {   // 経費以外の時のみ支払可能額を計算する
+                        ExecValue = (int)(DetailRec.ExecutionAmount - TotalValue);
+                    }
                     RowData[GridColMax + (int)ColPayTotal.Results] = ExecValue.ToString("#,0");
 
                     // 支払補填額
                     RowData[GridColMax + (int)ColPayTotal.PaymentBurdens] = DetailRec.PaymentBurden.ToString("#,0");
 
-                    // 請求金額データはデータを作成しない
-                    if (DetailRec.GroupCount != (int)GroupName_ConstructionLedger.BillingAmount)
+                    // ----- 行作成
+                    switch (DetailRec.GroupCount)
                     {
-                        // データ行作成
-                        CreateDataRow(RowData);
+                        case (int)GroupName_ConstructionLedger.BillingAmount:
+                            // 14:請求金額データ
+                            // データを作成しない
+                            break;
+                        case (int)GroupName_ConstructionLedger.Expenses:
+                            // 1:経費
+                            // 工事詳細台帳明細データにパーセントより金額を設定する
+                            if (LedgerRec.IntegrationFlg == 1)
+                            {
+                                CalculateExpenss(DetailRec);
+                                RowData[(int)GridColumn.ExecPrice] = DetailRec.ExecutionAmount.ToString("#,0");
+                            }
+
+                            // データ行作成
+                            CreateDataRow(RowData);
+
+                            // 支払月の先頭に金額をセットする
+                            if (LedgerRec.IntegrationFlg == 1) SetExcuteValue(DetailRec);
+
+                            break;
+                        case (int)GroupName_ConstructionLedger.Payroll:
+                            // 11:担当者給与
+                            // 一般ユーザーは担当者給与を見えないようにする
+                            if (CheckLeaderOrUser()) {
+                                if (DetailRec.SecondString.Length == 0) RowData[(int)GridColumn.TextName] = MakePersonSalaryString();
+                            }
+                            else {
+                                RowData[(int)GridColumn.TextName] = string.Empty;
+                            }
+                            // データ行作成
+                            CreateDataRow(RowData);
+                            break;
+                        case (int)GroupName_ConstructionLedger.Assistant:
+                            // 10:副担当給与
+                            // 一般ユーザーは副担当者給与を見えないようにする
+                            if (CheckLeaderOrUser()) {
+                                if (DetailRec.SecondString.Length == 0) RowData[(int)GridColumn.TextName] = MakeAssistantSalaryString();
+                            }
+                            else {
+                                RowData[(int)GridColumn.TextName] = string.Empty;
+                            }
+                            // データ行作成
+                            CreateDataRow(RowData);
+                            break;
+                        case (int)GroupName_ConstructionLedger.Instructor:
+                            // 9:指導員給与
+                            // 一般ユーザーは指導員給与を見えないようにする
+                            if (CheckLeaderOrUser()) {
+                                if (DetailRec.SecondString.Length == 0) RowData[(int)GridColumn.TextName] = MakeInstructorSalaryString();
+                            }
+                            else {
+                                RowData[(int)GridColumn.TextName] = string.Empty;
+                            }
+                            // データ行作成
+                            CreateDataRow(RowData);
+                            break;
+                        default:
+                            // データ行作成
+                            CreateDataRow(RowData);
+                            break;
                     }
 
-                    for (int i = (int)DispGridColumn.ItemName; i <= (int)DispGridColumn.SubContractorName; i++)
+                    // ----- 列のロック
+                    for (int i = (int)GridColumn.ItemName; i <= (int)GridColumn.CompanyName; i++)
                     {
                         dgv.Rows[dgv.RowCount - 1].Cells[i].ReadOnly = true;
                     }
@@ -2002,7 +2496,7 @@
                             // 施工費・購入品の固定項目以外の行は名称等を編集出来る
                             if (DetailRec.FixDataFlg != 1)
                             {
-                                for (int i = (int)DispGridColumn.ItemName; i <= (int)DispGridColumn.SubContractorName; i++)
+                                for (int i = (int)GridColumn.ItemName; i <= (int)GridColumn.CompanyName; i++)
                                 {
                                     dgv.Rows[dgv.RowCount - 1].Cells[i].ReadOnly = false;
                                 }
@@ -2010,9 +2504,9 @@
                             break;
 
                         case (int)GroupName_ConstructionLedger.Instructor:              // 指導員
-                        case (int)GroupName_ConstructionLedger.PayrollExpenses:         // 給与
+                        case (int)GroupName_ConstructionLedger.Assistant:               // 副担当
+                        case (int)GroupName_ConstructionLedger.Payroll:                 // 給与
                         case (int)GroupName_ConstructionLedger.NetIncome:               // 純利益
-                            // 
                             // 16期より前は指導員金額・担当者給与・純利益を表示しない
                             if (m_ConstructionBaseInfo.ConstructionPeriod < 16) dgv.Rows[dgv.RowCount - 1].Visible = false;
                             break;
@@ -2025,6 +2519,13 @@
 
                     // グループごとの処理
                     SetGroupDataProperty(DetailRec, ref SaveBillingData);
+
+                    // 増減データは色を付ける
+                    if (DetailRec.FluctuationFlg != 0)
+                    {
+                        DataGridViewRow ColorRow = dgv.Rows[dgv.RowCount - 1];
+                        ColorRow.Cells[(int)GridColumn.No].Style.BackColor = Color.Red;
+                    }
                 }
 
                 // 空白行
@@ -2034,10 +2535,10 @@
                 CreateNetIncome();
 
                 // 合計金額
-                CreateAllTotal();
+                CreateAllTotal(true);
 
                 // 請求金額作成
-                CreateBillingAmount(SaveBillingData);
+                CreateBillingAmount();
 
                 // 現在利益作成
                 CreateCurrentProfit();
@@ -2068,6 +2569,91 @@
         }
         #endregion
 
+        #region 工事詳細台帳明細データにパーセントより金額を設定する
+        /// <summary>
+        /// 工事詳細台帳明細データにパーセントより金額を設定する
+        /// </summary>
+        /// <param name="DetailRec"></param>
+        private void CalculateExpenss(ConstructionLedgerDetail DetailRec)
+        {
+            try
+            {
+                // 割合がセットされていなければ処理しない
+                if (DetailRec.AmountConfigRate == 0) return;
+
+                // 受注金額取得
+                double dBase = CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice].Text);
+
+                DetailRec.ExecutionAmount = dBase * (DetailRec.AmountConfigRate / 100.0);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 支払月の先頭に金額をセットする
+        /// <summary>
+        /// 支払月の先頭に金額をセットする
+        /// </summary>
+        /// <param name="DetailRec"></param>
+        private void SetExcuteValue(ConstructionLedgerDetail DetailRec)
+        {
+            try
+            {
+                DataGridView dgv = dgvAllDisplay;
+                DataGridViewRow CurRow = dgv.Rows[dgv.RowCount - 1];
+
+                // 支払い金額
+                int ExcePoint = (int)GridColumn.payment;
+                CurRow.Cells[ExcePoint].Value = DetailRec.ExecutionAmount.ToString("#,0");
+
+                // 合計欄位置取得
+                int TotalPoint = dgv.ColumnCount + (int)ColPayTotal.Totals;
+                CurRow.Cells[TotalPoint].Value = DetailRec.ExecutionAmount.ToString("#,0");
+                // 実績欄位置取得
+                int ResultPoint = dgv.ColumnCount + (int)ColPayTotal.Results;
+                CurRow.Cells[ResultPoint].Value = DetailRec.ExecutionAmount.ToString("#,0");
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region グループごとの処理を行う(グループごとの特殊処理)
+        /// <summary>
+        /// グループごとの処理を行う
+        /// （グループごとの特殊処理、施工費しか使用しないが将来性を見越して作成）
+        /// </summary>
+        /// <param name="DetailRec"></param>
+        /// <param name="SaveBillingData"></param>
+        private void SetGroupDataProperty(int GroupCount)
+        {
+            try
+            {
+                DataGridView dgv = dgvAllDisplay;
+                // グループごとの処理
+                switch (GroupCount)
+                {
+                    // 施工費
+                    case (int)GroupName_ConstructionLedger.ConstructionCosts:
+                        // 行位置取得
+                        if (m_CostsRowCount[(int)CostsRowLine.ConstructionCostLine] == 0)
+                            m_CostsRowCount[(int)CostsRowLine.ConstructionCostLine] = dgv.RowCount - 1;
+                        break;
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         #region グループごとの処理を行う
         /// <summary>
         /// グループごとの処理を行う
@@ -2135,12 +2721,18 @@
                         if (m_CostsRowCount[(int)CostsRowLine.InstructorRowLine] == 0)
                             m_CostsRowCount[(int)CostsRowLine.InstructorRowLine] = dgv.RowCount - 1;
                         break;
-                    // 給料
-                    case (int)GroupName_ConstructionLedger.PayrollExpenses:
+                    // 副担当者給料
+                    case (int)GroupName_ConstructionLedger.Assistant:
                         // 行位置取得
-                        if (m_CostsRowCount[(int)CostsRowLine.PayrollExpensesRowLine] == 0)
-                            m_CostsRowCount[(int)CostsRowLine.PayrollExpensesRowLine] = dgv.RowCount - 1;
+                        if (m_CostsRowCount[(int)CostsRowLine.AssistantRowLine] == 0)
+                            m_CostsRowCount[(int)CostsRowLine.AssistantRowLine] = dgv.RowCount - 1;
                         break;
+                    // 担当者給料
+                    case (int)GroupName_ConstructionLedger.Payroll:
+                        // 行位置取得
+                        if (m_CostsRowCount[(int)CostsRowLine.PayrollRowLine] == 0)
+                            m_CostsRowCount[(int)CostsRowLine.PayrollRowLine] = dgv.RowCount - 1;
+                        break;
                     // 純利益
                     case (int)GroupName_ConstructionLedger.NetIncome:
                         // 行位置取得
@@ -2183,20 +2775,21 @@
                 DataGridViewRow CurRow = dgv.CurrentRow;
                 int GroupCount = 0;
 
-                // 空白行は1行前を判定する
-                if (CommonMotions.cnvInt(dgv.CurrentRow.Cells[(int)DispGridColumn.BlankFlg].Value) == 1)
+                // タイトル／空白行は1行前を判定する
+                if (CommonMotions.cnvInt(dgv.CurrentRow.Cells[(int)GridColumn.TitleFlg].Value) == 1 
+                    && CommonMotions.cnvInt(dgv.CurrentRow.Cells[(int)GridColumn.BlankFlg].Value) == 1)
                 {
                     // 1行前が施工行か判定する
                     int ProvRowCount = CurRow.Index - 1;
                     if (ProvRowCount < 0) return;
                     DataGridViewRow ProvRow = dgv.Rows[ProvRowCount];
-                    GroupCount = CommonMotions.cnvInt(ProvRow.Cells[(int)DispGridColumn.GroupCount].Value);
+                    GroupCount = CommonMotions.cnvInt(ProvRow.Cells[(int)GridColumn.GroupCount].Value);
                     if (GroupCount != (int)GroupName_ConstructionLedger.ConstructionCosts) return;
                 }
 
                 // 該当行のグループ番号取得
                 if (GroupCount == 0)
-                    GroupCount = CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.GroupCount].Value);
+                    GroupCount = CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.GroupCount].Value);
 
                 btnLineAdd.Visible = false;
                 btnLineDel.Visible = false;
